/*
   luned́ 21 novembre 201115.30.37
   Utente: 
   Server: PC_THOMASS
   Database: OLIGED_TEMPESTA_ROSA
   Applicazione: 
*/

/* Per evitare potenziali problemi di perdita di dati, si consiglia di esaminare dettagliatamente lo script prima di eseguirlo al di fuori del contesto di Progettazione database.*/
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__Scort__5D6BC808
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__Numer__5E5FEC41
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__Giorn__5F54107A
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tmp__IDDL__604834B3
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__IDEdi__613C58EC
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__IDSeg__62307D25
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__IDSot__6324A15E
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tmp__Agio__6418C597
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__UmAcq__650CE9D0
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__UmVen__66010E09
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__Coeff__66F53242
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__InfoR__67E9567B
GO
ALTER TABLE dbo.Prodotti
	DROP CONSTRAINT DF__DbaMgr_Tm__Vendi__68DD7AB4
GO
CREATE TABLE dbo.Tmp_Prodotti
	(
	IDProd int NOT NULL,
	CodiceTestata varchar(9) NULL,
	CodiceInforete varchar(9) NULL,
	Testata varchar(50) NULL,
	Sottotitolo varchar(80) NULL,
	DescrizioneAggEdicola varchar(80) NULL,
	ScortaMinima int NULL,
	IDPeriodicita varchar(2) NULL,
	IDTipoProdotto int NULL,
	NumeroUsciteTotali int NULL,
	CodiceCollezione varchar(2) NULL,
	CodiceBandedAssociato varchar(50) NULL,
	Pubblicazione50 varchar(1) NULL,
	GiorniScadenzaResa int NULL,
	LocazioneScaffale varchar(30) NULL,
	BarcodeTitolo varchar(13) NULL,
	CodiceMultiedizione varchar(50) NULL,
	IDDL int NULL,
	IDEditore int NULL,
	IDSegmentoMercato int NULL,
	IDSottoeditore int NULL,
	Agio bit NULL,
	UmAcquisto varchar(5) NULL,
	UmVendita varchar(5) NULL,
	CoeffConv decimal(18, 6) NULL,
	InfoRiv int NULL,
	Vendibile bit NULL
	)  ON [PRIMARY]
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__Scort__5D6BC808 DEFAULT (1) FOR ScortaMinima
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__Numer__5E5FEC41 DEFAULT (0) FOR NumeroUsciteTotali
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__Giorn__5F54107A DEFAULT (0) FOR GiorniScadenzaResa
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tmp__IDDL__604834B3 DEFAULT (0) FOR IDDL
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__IDEdi__613C58EC DEFAULT (0) FOR IDEditore
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__IDSeg__62307D25 DEFAULT (0) FOR IDSegmentoMercato
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__IDSot__6324A15E DEFAULT (0) FOR IDSottoeditore
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tmp__Agio__6418C597 DEFAULT (0) FOR Agio
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__UmAcq__650CE9D0 DEFAULT ('NR') FOR UmAcquisto
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__UmVen__66010E09 DEFAULT ('NR') FOR UmVendita
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__Coeff__66F53242 DEFAULT (1) FOR CoeffConv
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__InfoR__67E9567B DEFAULT (0) FOR InfoRiv
GO
ALTER TABLE dbo.Tmp_Prodotti ADD CONSTRAINT
	DF__DbaMgr_Tm__Vendi__68DD7AB4 DEFAULT (0) FOR Vendibile
GO
IF EXISTS(SELECT * FROM dbo.Prodotti)
	 EXEC('INSERT INTO dbo.Tmp_Prodotti (IDProd, CodiceTestata, CodiceInforete, Testata, Sottotitolo, DescrizioneAggEdicola, ScortaMinima, IDPeriodicita, IDTipoProdotto, NumeroUsciteTotali, CodiceCollezione, CodiceBandedAssociato, Pubblicazione50, GiorniScadenzaResa, LocazioneScaffale, BarcodeTitolo, CodiceMultiedizione, IDDL, IDEditore, IDSegmentoMercato, IDSottoeditore, Agio, UmAcquisto, UmVendita, CoeffConv, InfoRiv, Vendibile)
		SELECT IDProd, CodiceTestata, CodiceInforete, Testata, Sottotitolo, DescrizioneAggEdicola, ScortaMinima, IDPeriodicita, IDTipoProdotto, NumeroUsciteTotali, CodiceCollezione, CodiceBandedAssociato, Pubblicazione50, GiorniScadenzaResa, LocazioneScaffale, BarcodeTitolo, CodiceMultiedizione, IDDL, IDEditore, IDSegmentoMercato, IDSottoeditore, Agio, UmAcquisto, UmVendita, CoeffConv, CONVERT(int, InfoRiv), Vendibile FROM dbo.Prodotti WITH (HOLDLOCK TABLOCKX)')
GO
DROP TABLE dbo.Prodotti
GO
EXECUTE sp_rename N'dbo.Tmp_Prodotti', N'Prodotti', 'OBJECT' 
GO
ALTER TABLE dbo.Prodotti ADD CONSTRAINT
	PK_Prodotti PRIMARY KEY CLUSTERED 
	(
	IDProd
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO
CREATE NONCLUSTERED INDEX IX_Prodotti ON dbo.Prodotti
	(
	Testata
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
COMMIT
